# syssetup

This system was created to allow of easy recreation or restoration of a existing system. This is not a backup application, nor does it create a image in the sense of a full disk image. It creates a snapshot of the current system configuration and installed packages. Once this information is collected it is packaged into standalone self extracting restore archive. It does this by copying your /etc folder and generating a list of installed programs via the package manager on the system. These are then packaged into executable you can copy and run on another system. Great for duplicating a say a raspberry pi configuration. Works well for VPS systems as well, especially when you just need to do a clean reinstall.

# Scripts

check.bash - checks if makeself is installed
os_probe.bash - checks if we are on a debian or arch based distro via looking for apt or pacman
restore.*.bash - these are scripts specific to debian or arch
syssetup.bash - The main program 
test.bash - Some file I was using to test something, you can ignore it

# Plans

To add flatpak support for making it more usable for desktops. Also support for OpenWRT, because I want to use this on my router.

[![built with Codeium](https://codeium.com/badges/main)](https://codeium.com)